# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "txtx-addon-network-svm-types"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Types for executing Solana runbooks"
readme = false
keywords = [
    "txtx",
    "smart-contracts",
    "devops",
    "secops",
    "blockchains",
]
categories = ["cryptography"]
license = "Apache-2.0"
repository = "https://github.com/txtx/txtx"

[lib]
name = "txtx_addon_network_svm_types"
path = "src/lib.rs"

[dependencies.anchor-lang-idl]
version = "0.1.2"
features = ["convert"]

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.serde]
version = "1"

[dependencies.serde_derive]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.solana-blake3-hasher]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-clock]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-epoch-info]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-keypair]
version = "2.2.1"

[dependencies.solana-message]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-pubkey]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-signature]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-transaction]
version = "2.2.1"
features = [
    "serde",
    "bincode",
]

[dependencies.solana-transaction-context]
version = "2.2.1"
features = ["serde"]

[dependencies.solana-transaction-error]
version = "2.2.1"
features = ["serde"]

[dependencies.txtx-addon-kit]
version = "0.2.6"
